RoboCupMS

Public Member Functions | Static Public Attributes | List of all members
com.robogames.RoboCupMS.Entity.Discipline Class Reference

## Public Member Functions
| Discipline ()
| Discipline (String _name, String _description, EScoreAggregation _scoreAggregation, int _time, int _maxRounds)
Long | getID ()
String | getName ()
ScoreAggregation | getScoreAggregation ()
int | getTime ()
int | getMaxRounds ()
String | getDescription ()
List< Playground > | getPlaygrounds ()
List< Robot > | getRobots ()
void | setName (String _name)
void | setScoreAggregation (ScoreAggregation _scoreAggregation)
void | setDescription (String _description)
void | setTime (int _time)

## Static Public Attributes
static final int | NOT_REGISTRED = -1
static final int | NOT_LIMITED_NUMBER_OF_ROUNDS = -1

## Constructor & Destructor Documentation

## ◆ Discipline() [1/2]

com.robogames.RoboCupMS.Entity.Discipline.Discipline | ( |  | ) |
| inline

Disciplina, ve ktere muzou roboti soutezit

## ◆ Discipline() [2/2]

com.robogames.RoboCupMS.Entity.Discipline.Discipline | ( | String | _name,
|  | String | _description,
|  | EScoreAggregation | _scoreAggregation,
|  | int | _time,
|  | int | _maxRounds
| ) |  |
| inline

Disciplina, ve ktere muzou roboti soutezit

Parameters

  _name | Nazev discipliny
  _description | Popis discipliny (max 8192 znaku)
  _scoreAggregation | Agregacni funkce skore (pouziva se pro automaticke vyhodnoceni skore)
  _time | Casový limit na jeden zapas (v sekundách)
  _maxRounds | Maximalni pocet zapasu odehranych robotem (hodnota bude ignorovana v pripada zaporneho cisla)

## Member Function Documentation

## ◆ getDescription()

String com.robogames.RoboCupMS.Entity.Discipline.getDescription | ( |  | ) |
| inline

Navrati popis discipliny

Returns
  Popis discipliny

## ◆ getID()

Long com.robogames.RoboCupMS.Entity.Discipline.getID | ( |  | ) |
| inline

Navrati ID discipliny

Returns
  ID

## ◆ getMaxRounds()

int com.robogames.RoboCupMS.Entity.Discipline.getMaxRounds | ( |  | ) |
| inline

Navrati maximalni pocet zapasu, ktere robot muze v teto discipline odehrat. V pripade pokud pocet neni nijak omezen navrati neplatnou zapornou hodnotu

Returns
  Pocet zapasu

## ◆ getName()

String com.robogames.RoboCupMS.Entity.Discipline.getName | ( |  | ) |
| inline

Navrati nazev discipliny

Returns
  Naze discipliny

## ◆ getPlaygrounds()

List<Playground> com.robogames.RoboCupMS.Entity.Discipline.getPlaygrounds | ( |  | ) |
| inline

Navrati seznam vsech hrist pro tuto disciplinu

Returns
  Seznam vsech hrist pro tuto disciplinu

## ◆ getRobots()

List<Robot> com.robogames.RoboCupMS.Entity.Discipline.getRobots | ( |  | ) |
| inline

Navrati seznam vsech robotu registrovanych v discipline

Returns
  Seznam vsech robotu v discipliny

## ◆ getScoreAggregation()

ScoreAggregation com.robogames.RoboCupMS.Entity.Discipline.getScoreAggregation | ( |  | ) |
| inline

Navrati agregacni funkci skore

Returns
  Agregacni funkce skore

## ◆ getTime()

int com.robogames.RoboCupMS.Entity.Discipline.getTime | ( |  | ) |
| inline

Navrati casovy limit na odehrani jednoho zapasu

Returns
  Casovy limit (sekundy)

## ◆ setDescription()

void com.robogames.RoboCupMS.Entity.Discipline.setDescription | ( | String | _description | ) |
| inline

Nastavi novy popis discipliny

Parameters

  _description | Novy popis discipliny (max 8192 znaku)

## ◆ setName()

void com.robogames.RoboCupMS.Entity.Discipline.setName | ( | String | _name | ) |
| inline

Nastavi novy nazev discipline

Parameters

  _name | Novy nazev

## ◆ setScoreAggregation()

void com.robogames.RoboCupMS.Entity.Discipline.setScoreAggregation | ( | ScoreAggregation | _scoreAggregation | ) |
| inline

Nastavi novou agragacni funkci skore

Parameters

  _scoreAggregation | Nova agregacni funkce pro skore

## ◆ setTime()

void com.robogames.RoboCupMS.Entity.Discipline.setTime | ( | int | _time | ) |
| inline

Nastavi casovy limit na odehráni jednoto zapasu

Parameters

  _time | Cas v sekundach

## Member Data Documentation

## ◆ NOT_LIMITED_NUMBER_OF_ROUNDS

final int com.robogames.RoboCupMS.Entity.Discipline.NOT_LIMITED_NUMBER_OF_ROUNDS = -1
| static

Hodnota parametru "maxRounds" pokud nema byt robot limitovat pocetem zapasu

## ◆ NOT_REGISTRED

final int com.robogames.RoboCupMS.Entity.Discipline.NOT_REGISTRED = -1
| static

Navratova hodnota ID "zadne" discipliny (navrati pokud robot neni registrovan v zadne discipline)

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Entity/Discipline.java